import common from './common'
import productAndMember from './product-and-member'
import system from './system/index'
import order from './order/index'

export default {
  ...common,
  top_bar: {
    product_and_member: 'Product & Member',
    system: 'System',
    order: 'Order',
  },
  slider_member: {
    member: {
      index: 'Member',
      manage: {
        index: 'Member Manage',
        au_manage: 'AU Member',
        level: 'Member Level',
      },
    },

    product: {
      index: 'Product',
      manage: {
        index: 'Product Manage',
        list: 'Product List',
        au_price: 'AU Price',
        stock: 'Stock Manage',
        warehouse: 'Warehouse Manage',
      },
      search: {
        index: 'Search Setting',
        keyword: 'Keyword',
        report: 'Report Form',
      },
    },
    property: {
      index: 'Property',
      product: {
        index: 'Product Property',
        decoration: 'Decoration Price',
        addition: 'Additionl Service',
        cycle: 'Cycle',
        // attribute: 'Tiered Pricing',
        attribute: 'stage price',
        decoration_type: 'Decoration Type',
        category: 'Category Manage',
        appa_category: 'APPA Category',
        filter: 'Filter Manage',
        icon: 'Product Icon',
        freight: 'Freight Manage',
        weight: 'Weight Manage',
        tag: 'Attribute Tag',
      },
    },
    batch: {
      index: 'Batch',
      action: {
        index: 'Batch Operate',
        price: 'Price Batch Operate',
        common: 'Common Operate',
        au_action: 'AU Operate',
        history: 'Operation History',
      },
    },
    work_order: {
      index: 'Work Order',
      work_order_manage: {
        index: 'Work Order Manage',
        work_order_list: 'Work Order List',
      },
    },
    supplier: {
      index: 'Supplier',
      manage: {
        index: 'Supplier Manage',
        list: 'Supplier List',
        product: 'Supplier Product',
        accessory: 'Supply Item',
      },
    },
    article: {
      index: 'Article',
      article_setting: {
        index: 'Article Setting',
        home_page_setting: 'Home Page',
        download: 'Download Center',
        contact: 'Contact US',
        article_manage: 'Article Manage',
        catalogue: 'Catalogue',
        newsletter: 'Newsletter',
        video: 'Video Manage',
        question: 'Question',
        privacy_policy: 'Privacy Policy',
        refund_and_return: 'Refund & Return',
        terms_and_conditions: 'Terms & Conditions',
        site_info: 'Site Info',
      },
    },
    resource: {
      index: 'Resource',
      manage: {
        index: 'Resource Manage',
        edm_manage: 'EDM Manage',
        edm_resource: 'EDM Resource',
        showcase: 'Showcase',
        data_tag: 'Data Tag',
        data: 'Data',
      },
    },
  },
  slider_authority: {
    authority: {
      index: 'Authority',
      authority_manage: {
        index: 'Authority Manage',
        member: 'Member Manage',
        role: 'Role Manage',
        department: 'Department',
      },
    },
  },
  slider_order: {
    indent: {
      index: 'Indent',
      indent_manage: {
        index: 'Indent',
        list: 'Indent List',
      },
      product_manage: {
        index: 'Product Manage',
        list: 'Product List',
        category: 'Product Category',
      },
    },
  },
  product_and_member: {
    ...productAndMember,
  },
  system: {
    ...system,
  },
  order: {
    ...order,
  },
}
