/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

export default {
  path: '/memberMerchandise',
  alias: '/',
  component: Layout,
  redirect: '/memberMerchandise/member/member-manage/AU',
  name: 'Member-merchandise',
  meta: {
    title: 'top_bar.product_and_member',
    icon: '',
  },
  children: [
    // 1 会员
    {
      path: 'member',
      component: () => import('@/views/member-merchandise/member/index'),
      name: 'Member',
      meta: {
        title: 'slider_member.member.index',
        icon: 'power',
      },
      children: [
        {
          path: 'member-manage',
          component: () =>
            import('@/views/member-merchandise/member/member-manage'),
          name: 'Member-manage',
          meta: { title: 'slider_member.member.manage.index' },
          children: [
            {
              path: 'AU',
              component: () =>
                import('@/views/member-merchandise/member/member-manage/AU'),
              name: 'AU',
              meta: {
                title: 'slider_member.member.manage.au_manage',
                btn: [1, 2, 3, 4],
              },
            },
            // {
            //   path: 'NZ',
            //   component: () => import('@/views/member-merchandise/member/member-manage/NZ'),
            //   name: 'NZ',
            //   meta: { title: 'NZ成员列表' }
            // },
            // {
            //   path: 'UK',
            //   component: () => import('@/views/member-merchandise/member/member-manage/UK'),
            //   name: 'UK',
            //   meta: { title: 'UK成员列表' }
            // },
            {
              path: 'level',
              component: () =>
                import('@/views/member-merchandise/member/member-manage/level'),
              name: 'level',
              meta: { title: 'slider_member.member.manage.level' },
            },
          ],
        },
      ],
    },
    // 2 商品
    {
      path: 'goods',
      component: () => import('@/views/member-merchandise/goods/index'),
      name: 'Goods',
      meta: {
        title: 'slider_member.product.index',
        icon: 'power',
      },
      children: [
        {
          path: 'goods-manage',
          component: () =>
            import('@/views/member-merchandise/goods/goods-manage'),
          name: 'Goods-manage',
          meta: { title: 'slider_member.product.manage.index' },
          children: [
            {
              path: 'Goods-list',
              component: () =>
                import(
                  '@/views/member-merchandise/goods/goods-manage/Goods-list'
                ),
              name: 'Goods-list',
              meta: { title: 'slider_member.product.manage.list' },
            },
            {
              path: 'AU-price',
              component: () =>
                import(
                  '@/views/member-merchandise/goods/goods-manage/AU-goods-price/index'
                ),
              name: 'AU-price',
              meta: { title: 'slider_member.product.manage.au_price' },
            },
            // {
            //   path: 'NZ-price',
            //   component: () => import('@/views/member-merchandise/goods/goods-manage/NZ-goods-price/index'),
            //   name: 'NZ-price',
            //   meta: { title: 'NZ商品价格' }
            // },
            {
              path: 'Stock-manage',
              component: () =>
                import(
                  '@/views/member-merchandise/goods/goods-manage/Stock-manage/index'
                ),
              name: 'Stock-manage',
              meta: { title: 'slider_member.product.manage.stock' },
            },
            {
              path: 'Warehouse-manage',
              component: () =>
                import(
                  '@/views/member-merchandise/goods/goods-manage/Warehouse-manage/index'
                ),
              name: 'Warehouse-manage',
              meta: { title: 'slider_member.product.manage.warehouse' },
            },
          ],
        },
        {
          path: 'commodity-search',
          component: () =>
            import('@/views/member-merchandise/goods/goods-search'),
          name: 'goods-search',
          meta: { title: 'slider_member.product.search.index' },
          children: [
            {
              path: 'goods-keyword',
              component: () =>
                import(
                  '@/views/member-merchandise/goods/goods-search/goods-keyword/index'
                ),
              name: 'goods-keyword',
              meta: { title: 'slider_member.product.search.keyword' },
            },
            {
              path: 'search-report',
              component: () =>
                import(
                  '@/views/member-merchandise/goods/goods-search/search-report/index'
                ),
              name: 'Search-report',
              meta: { title: 'slider_member.product.search.report' },
            },
          ],
        },
      ],
    },
    // 3 属性
    {
      path: 'property',
      component: () => import('@/views/member-merchandise/property/index'),
      name: 'Property',
      meta: {
        title: 'slider_member.property.index',
        icon: 'power',
      },
      children: [
        {
          path: 'goods-property',
          component: () =>
            import('@/views/member-merchandise/property/goods-property/index'),
          name: 'Goods-property',
          meta: { title: 'slider_member.property.product.index' },
          children: [
            {
              path: 'decoration',
              component: () =>
                import(
                  '@/views/member-merchandise/property/goods-property/decoration/index'
                ),
              name: 'Decoration',
              meta: { title: 'slider_member.property.product.decoration' },
            },
            {
              path: 'addition',
              component: () =>
                import(
                  '@/views/member-merchandise/property/goods-property/addition/index'
                ),
              name: 'Addition',
              meta: { title: 'slider_member.property.product.addition' },
            },
            // {
            //   path: 'printNZ',
            //   component: () => import('@/views/member-merchandise/property/goods-property/printNZ/index'),
            //   name: 'PrintNZ',
            //   meta: { title: 'NZ打印价格' }
            // },
            // {
            //   path: 'additionNZ',
            //   component: () => import('@/views/member-merchandise/property/goods-property/additionNZ/index'),
            //   name: 'AdditionNZ',
            //   meta: { title: 'NZ额外服务' }
            // },
            // {
            //   path: 'printUK',
            //   component: () => import('@/views/member-merchandise/property/goods-property/printUK/index'),
            //   name: 'PrintUK',
            //   meta: { title: 'UK打印价格' }
            // },
            // {
            //   path: 'additionUK',
            //   component: () => import('@/views/member-merchandise/property/goods-property/additionUK/index'),
            //   name: 'AdditionUK',
            //   meta: { title: 'UK额外服务' }
            // },
            {
              path: 'cycle',
              component: () =>
                import(
                  '@/views/member-merchandise/property/goods-property/cycle/index'
                ),
              name: 'Cycle',
              meta: { title: 'slider_member.property.product.cycle' },
            },
            {
              path: 'goods_attribute',
              component: () =>
                import(
                  '@/views/member-merchandise/property/goods-property/goods_attribute/index'
                ),
              name: 'GoodsAttribute',
              meta: { title: 'slider_member.property.product.attribute' },
            },
            {
              path: 'decoration_type',
              component: () =>
                import(
                  '@/views/member-merchandise/property/goods-property/decoration_type/index'
                ),
              name: 'DecorationType',
              meta: { title: 'slider_member.property.product.decoration_type' },
            },
            {
              path: 'category',
              component: () =>
                import(
                  '@/views/member-merchandise/property/goods-property/category/index'
                ),
              name: 'Category',
              meta: { title: 'slider_member.property.product.category' },
            },
            {
              path: 'appa-category',
              component: () =>
                import(
                  '@/views/member-merchandise/property/goods-property/appa_category/index'
                ),
              name: 'APPACategory',
              meta: { title: 'slider_member.property.product.appa_category' },
            },
            {
              path: 'filter',
              component: () =>
                import(
                  '@/views/member-merchandise/property/goods-property/filter/index'
                ),
              name: 'Filter',
              meta: { title: 'slider_member.property.product.filter' },
            },
            {
              path: 'icon',
              component: () =>
                import(
                  '@/views/member-merchandise/property/goods-property/icon/index'
                ),
              name: 'Icon',
              meta: { title: 'slider_member.property.product.icon' },
            },
            {
              path: 'freight',
              component: () =>
                import(
                  '@/views/member-merchandise/property/goods-property/freight/index'
                ),
              name: 'Freight',
              meta: { title: 'slider_member.property.product.freight' },
            },
            {
              path: 'weight',
              component: () =>
                import(
                  '@/views/member-merchandise/property/goods-property/weight/index'
                ),
              name: 'Weight',
              meta: { title: 'slider_member.property.product.weight' },
            },
            {
              path: 'tag',
              component: () =>
                import(
                  '@/views/member-merchandise/property/goods-property/tag/index'
                ),
              name: 'Tag',
              meta: { title: 'slider_member.property.product.tag' },
            },
          ],
        },
      ],
    },
    // 工单
    {
      path: 'work-order',
      component: () => import('@/views/member-merchandise/work-order/index'),
      name: 'work-order',
      meta: {
        title: 'slider_member.work_order.index',
        icon: 'power',
      },
      children: [
        {
          path: 'work-order-manage',
          component: () =>
            import('@/views/member-merchandise/work-order/work-order-manage'),
          name: 'work-order-manage',
          meta: { title: 'slider_member.work_order.work_order_manage.index' },
          children: [
            {
              path: 'work-order-list',
              component: () =>
                import(
                  '@/views/member-merchandise/work-order/work-order-manage/work-order-list'
                ),
              name: 'work-order-list',
              meta: { title: 'slider_member.work_order.work_order_manage.work_order_list' },
            },
          ],
        },
      ],
    },
    // 4 批量
    {
      path: 'batch',
      component: () => import('@/views/member-merchandise/batch/index'),
      name: 'Batch',
      meta: {
        title: 'slider_member.batch.index',
        icon: 'power',
      },
      children: [
        {
          path: 'batch-operation',
          component: () =>
            import('@/views/member-merchandise/batch/batch-operation/index'),
          name: 'Batch-operation',
          meta: { title: 'slider_member.batch.action.index' },
          children: [
            {
              path: 'pricing',
              component: () =>
                import(
                  '@/views/member-merchandise/batch/batch-operation/pricing/index'
                ),
              name: 'Pricing',
              meta: { title: 'slider_member.batch.action.price' },
            },
            {
              path: 'common-batch',
              component: () =>
                import(
                  '@/views/member-merchandise/batch/batch-operation/common-batch/index'
                ),
              name: 'common-batch',
              meta: { title: 'slider_member.batch.action.common' },
            },
            {
              path: 'AU-batch',
              component: () =>
                import(
                  '@/views/member-merchandise/batch/batch-operation/AU-batch/index'
                ),
              name: 'AU-batch',
              meta: { title: 'slider_member.batch.action.au_action' },
            },
            {
              path: 'history',
              component: () =>
                import(
                  '@/views/member-merchandise/batch/batch-operation/history/index'
                ),
              name: 'History',
              meta: { title: 'slider_member.batch.action.history' },
            },
          ],
        },
      ],
    },
    // 5 供应商
    {
      path: 'supplier',
      component: () => import('@/views/member-merchandise/supplier/index'),
      name: 'Supplier',
      meta: {
        title: 'slider_member.supplier.index',
        icon: 'power',
      },
      children: [
        {
          path: 'supplier-manage',
          component: () =>
            import('@/views/member-merchandise/supplier/supplier-manage'),
          name: 'Supplier-manage',
          meta: { title: 'slider_member.supplier.manage.index' },
          children: [
            {
              path: 'supplier',
              component: () =>
                import(
                  '@/views/member-merchandise/supplier/supplier-manage/supplier'
                ),
              name: 'supplier',
              meta: { title: 'slider_member.supplier.manage.list' },
            },
            {
              path: 'supplier-goods',
              component: () =>
                import(
                  '@/views/member-merchandise/supplier/supplier-manage/supplier-goods'
                ),
              name: 'supplier-goods',
              meta: { title: 'slider_member.supplier.manage.product' },
            },
            {
              path: 'accessory',
              component: () =>
                import(
                  '@/views/member-merchandise/supplier/supplier-manage/accessory'
                ),
              name: 'Accessory',
              meta: { title: 'slider_member.supplier.manage.accessory' },
            },
          ],
        },
      ],
    },
    // 6 图文
    {
      path: 'photography',
      component: () => import('@/views/member-merchandise/photography/index'),
      name: 'Photography',
      meta: {
        title: 'slider_member.article.index',
        icon: 'power',
      },
      children: [
        {
          path: 'photography-setting',
          component: () =>
            import(
              '@/views/member-merchandise/photography/photography-setting'
            ),
          name: 'Photography-setting',
          meta: { title: 'slider_member.article.article_setting.index' },
          children: [
            {
              path: 'homepage',
              component: () =>
                import(
                  '@/views/member-merchandise/photography/photography-setting/homepage'
                ),
              name: 'Homepage',
              meta: {
                title:
                  'slider_member.article.article_setting.home_page_setting',
              },
            },
            {
              path: 'download',
              component: () =>
                import(
                  '@/views/member-merchandise/photography/photography-setting/download'
                ),
              name: 'Download',
              meta: { title: 'slider_member.article.article_setting.download' },
            },
            {
              path: 'contact',
              component: () =>
                import(
                  '@/views/member-merchandise/photography/photography-setting/contact'
                ),
              name: 'Contact',
              meta: { title: 'slider_member.article.article_setting.contact' },
            },
            {
              path: 'article-manage',
              component: () =>
                import(
                  '@/views/member-merchandise/photography/photography-setting/article-manage'
                ),
              name: 'Article-manage',
              meta: {
                title: 'slider_member.article.article_setting.article_manage',
              },
            },
            {
              path: 'catalogue',
              component: () =>
                import(
                  '@/views/member-merchandise/photography/photography-setting/catalogue'
                ),
              name: 'Catalogue',
              meta: {
                title: 'slider_member.article.article_setting.catalogue',
              },
            },
            {
              path: 'newsletter',
              component: () =>
                import(
                  '@/views/member-merchandise/photography/photography-setting/newsletter'
                ),
              name: 'Newsletter',
              meta: {
                title: 'slider_member.article.article_setting.newsletter',
              },
            },
            {
              path: 'video-manage',
              component: () =>
                import(
                  '@/views/member-merchandise/photography/photography-setting/video-manage'
                ),
              name: 'Video-manage',
              meta: { title: 'slider_member.article.article_setting.video' },
            },
            {
              path: 'common-problems',
              component: () =>
                import(
                  '@/views/member-merchandise/photography/photography-setting/common-problems'
                ),
              name: 'Common-problems',
              meta: { title: 'slider_member.article.article_setting.question' },
            },
            {
              path: 'privacy-policy',
              component: () =>
                import(
                  '@/views/member-merchandise/photography/photography-setting/privacy-policy'
                ),
              name: 'Privacy-policy',
              meta: {
                title: 'slider_member.article.article_setting.privacy_policy',
              },
            },
            {
              path: 'refund-returns',
              component: () =>
                import(
                  '@/views/member-merchandise/photography/photography-setting/refund-returns'
                ),
              name: 'Refund-returns',
              meta: {
                title:
                  'slider_member.article.article_setting.refund_and_return',
              },
            },
            {
              path: 'terms-conditions',
              component: () =>
                import(
                  '@/views/member-merchandise/photography/photography-setting/terms-conditions'
                ),
              name: 'Terms-conditions',
              meta: {
                title:
                  'slider_member.article.article_setting.terms_and_conditions',
              },
            },
            {
              path: 'site-info',
              component: () =>
                import(
                  '@/views/member-merchandise/photography/photography-setting/site-info'
                ),
              name: 'Site-info',
              meta: {
                title: 'slider_member.article.article_setting.site_info',
              },
            },
          ],
        },
      ],
    },
    // 7 资源
    {
      path: 'resources',
      component: () => import('@/views/member-merchandise/resources/index'),
      name: 'Resources',
      meta: {
        title: 'slider_member.resource.index',
        icon: 'power',
      },
      children: [
        {
          path: 'resources-manage',
          component: () =>
            import('@/views/member-merchandise/resources/resources-manage'),
          name: 'Resources-manage',
          meta: { title: 'slider_member.resource.manage.index' },
          children: [
            {
              path: 'LineArt',
              component: () => import('@/views/member-merchandise/resources/resources-manage/LineArt'),
              name: 'LineArt',
              meta: { title: 'Line Art' }
            },
            // {
            //   path: 'goodsImages',
            //   component: () => import('@/views/member-merchandise/resources/resources-manage/goodsImages'),
            //   name: 'GoodsImages',
            //   meta: { title: '商品图片' }
            // },
            {
              path: 'EDM-manage',
              component: () =>
                import(
                  '@/views/member-merchandise/resources/resources-manage/EDM-manage'
                ),
              name: 'EDM-manage',
              meta: { title: 'slider_member.resource.manage.edm_manage' },
            },
            {
              path: 'EDM-resource',
              component: () =>
                import(
                  '@/views/member-merchandise/resources/resources-manage/EDM-resource'
                ),
              name: 'EDM-resource',
              meta: { title: 'slider_member.resource.manage.edm_resource' },
            },
            {
              path: 'Showcase',
              component: () =>
                import(
                  '@/views/member-merchandise/resources/resources-manage/Showcase'
                ),
              name: 'Showcase',
              meta: { title: 'slider_member.resource.manage.showcase' },
            },
            {
              path: 'data-tag',
              component: () =>
                import(
                  '@/views/member-merchandise/resources/resources-manage/data-tag'
                ),
              name: 'data-tag',
              meta: { title: 'slider_member.resource.manage.data_tag' },
            },
            {
              path: 'data',
              component: () =>
                import(
                  '@/views/member-merchandise/resources/resources-manage/data'
                ),
              name: 'data',
              meta: { title: 'slider_member.resource.manage.data' },
            },
          ],
        },
      ],
    },
  ],
}
